module OrientDb
  class EdgeRepository < Base

    def get_in_edges_count(edge_class, id)
      OrientDb::Client.instance.query "SELECT COUNT(@rid) FROM #{edge_class} WHERE in = #{id}"
    end

    def create_edge(edge_class, from_id, to_id)
      OrientDb::Client.instance.command "CREATE EDGE #{edge_class} FROM #{from_id} TO #{to_id}"
    end

  end
end
