class RegistrationsController < Devise::RegistrationsController
  after_action :create_user_dependencies, only: :create

  private

  def create_user_dependencies
    if resource.persisted?
      user_repository.save resource
    end
  end

  def user_repository
    repository.for :user
  end

end
