module ActiveRecord
  class UserRepository

    def find(*ids)
      User.find ids
    end

    def all
      User.all
    end

    def save(user)
      user.save
    end

    def update(params={})
      User.update params
    end

    def destroy(user)
      user.destroy
    end

  end
end